Subject: Re: bug#56441: Time travel doesn't resist profile format changes

From: Ludovic Courtès <[email-masked]>
Date: Fri, 08 Jul 2022 18:13:25 +0200

Hello,

zimoun <[email-masked]> skribis:

> It sounds good!  Here a check from v1.3 to v0.16.
>
> $ for ci in a0178d34f582b50e9bdbb0403943129ae5b560ff   \
>               a099685659b4bfa6b3218f84953cbb7ff9e88063 \
>               d62c9b2671be55ae0305bebfda17b595f33797f2 \
>               d68de958b60426798ed62797ff7c96c327a672ac \
>               6298c3ffd9654d3231a6f25390b056483e8f407c \
>               4a0b87f0ec5b6c2dcf82b372dd20ca7ea6acdd9c;
> do
>     ./pre-inst-env guix time-machine --commit=$ci -- describe
> done

That’s a great test, thanks for checking!

I would really like us to run that kind of test automatically.  It’s
expensive, requires network access, Git repo access, etc., so I’m not
sure it’s suitable for “make check”.  But we need to think about it.

I’ll commit either tonight or on Monday.

Ludo’.